package com.atlassian.stash.internal.server.analytics;

import com.atlassian.analytics.api.annotations.EventName;
import com.atlassian.bitbucket.event.ApplicationEvent;

import javax.annotation.Nonnull;

/**
 * @since 3.8
 */
@EventName("stash.instance.attributes.aws")
public class AwsAttributesAnalyticsEvent extends ApplicationEvent {

    private final String amiId;
    private final String instanceType;

    public AwsAttributesAnalyticsEvent(@Nonnull Object source, @Nonnull String amiId, @Nonnull String instanceType) {
        super(source);
        this.amiId = amiId;
        this.instanceType = instanceType;
    }

    @Nonnull
    public String getAmiId() {
        return amiId;
    }

    @Nonnull
    public String getInstanceType() {
        return instanceType;
    }
}